libghc-lucid-dev_2.9.11-1_amd64.deb


Advertisement

Description

libghc-lucid-dev - clear to write, read, and edit DSL for HTML

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libghc-lucid-dev_2.9.11-1_amd64.deb
Package name libghc-lucid-dev
Package version 2.9.11
Package release 1
Package architecture amd64
Package type deb
Category haskell
Homepage https://github.com/chrisdone/lucid
License -
Maintainer Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Download size 179.50 KB
Installed size 1.79 MB

Alternatives

Package Version Architecture Repository
libghc-lucid-dev_2.9.11-1_i386.deb 2.9.11 i386 Debian Main
libghc-lucid-dev - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.14
libghc-base-dev-4.12.0.0-a86a1 -
libghc-blaze-builder-dev-0.4.1.0-df870 -
libghc-bytestring-dev-0.10.8.2-20f27 -
libghc-containers-dev-0.6.0.1-b7319 -
libghc-hashable-dev-1.2.7.0-4dcfe -
libghc-mmorph-dev-1.1.3-96cbc -
libghc-mtl-dev-2.2.2-07ff1 -
libghc-text-dev-1.2.3.1-538d8 -
libghc-transformers-dev-0.5.6.2-08fea -
libghc-unordered-containers-dev-0.2.10.0-31f27 -
libgmp10 -

Provides

Name Value
libghc-lucid-dev-2.9.11-7b744 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libghc-lucid-dev_2.9.11-1_amd64.deb
Source Package haskell-lucid

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libghc-lucid-dev deb package:
    # sudo apt-get install libghc-lucid-dev

Files

Path
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/libHSlucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M-ghc8.6.5.so
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/libHSlucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M.a
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Base.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Base.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Bootstrap.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Bootstrap.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Html5.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-2.9.11-BVVFUjM4nHqCZG8tsx0j8M/Lucid/Html5.hi
/usr/share/doc/libghc-lucid-dev/buildinfo_amd64.gz
/usr/share/doc/libghc-lucid-dev/changelog.Debian.gz
/usr/share/doc/libghc-lucid-dev/changelog.gz
/usr/share/doc/libghc-lucid-dev/copyright
/usr/share/lintian/overrides/libghc-lucid-dev
/var/lib/ghc/package.conf.d/lucid-2.9.11.conf

Changelog

2019-07-28 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.11-1) unstable; urgency=medium
* New upstream version.
2018-10-01 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-lucid (2.9.10-3) unstable; urgency=medium
* Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
* Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
2018-09-30 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-lucid (2.9.10-2) unstable; urgency=medium
[ Clint Adams ]
* Set Rules-Requires-Root to no.
[ Ilias Tsitsimpis ]
* Bump debhelper compat level to 10
2018-04-09 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.10-1) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
* New upstream release
2017-11-24 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.9-1) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Change Priority to optional. Since Debian Policy version 4.0.1,
priority extra has been deprecated.
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
[ Clint Adams ]
* New upstream release
2017-06-17 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.8.1-1) unstable; urgency=medium
* New upstream release
2016-10-27 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.6-3) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-16 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.6-2) experimental; urgency=medium
* Temporarily build-depend on ghc 8.
2016-09-04 - Clint Adams <clint@debian.org>
haskell-lucid (2.9.6-1) unstable; urgency=medium
* New upstream release
2016-05-29 - Joachim Breitner <nomeata@debian.org>
haskell-lucid (2.9.5-1) unstable; urgency=medium
[ Dmitry Bogatov ]
* Use secure (https) uri in Vcs-Git field in 'debian/control'
* Bump standards version to 3.9.8 (no changes needed)
[ Joachim Breitner ]
* New upstream release

See Also

Package Description
libghc-lucid-doc_2.9.11-1_all.deb clear to write, read, and edit DSL for HTML; documentation
libghc-lucid-prof_2.9.11-1_amd64.deb clear to write, read, and edit DSL for HTML; profiling libraries
libghc-lucid-svg-dev_0.7.0.0-6+b3_amd64.deb DSL for SVG using lucid for HTML
libghc-lucid-svg-doc_0.7.0.0-6_all.deb DSL for SVG using lucid for HTML; documentation
libghc-lucid-svg-prof_0.7.0.0-6+b3_amd64.deb DSL for SVG using lucid for HTML; profiling libraries
libghc-lzma-dev_0.0.0.3-4_amd64.deb LZMA/XZ compression and decompression
libghc-lzma-doc_0.0.0.3-4_all.deb LZMA/XZ compression and decompression; documentation
libghc-lzma-prof_0.0.0.3-4_amd64.deb LZMA/XZ compression and decompression; profiling libraries
libghc-magic-dev_1.1-8+b3_amd64.deb File type determination library for Haskell
libghc-magic-doc_1.1-8_all.deb File type determination library for Haskell; documentation
libghc-magic-prof_1.1-8+b3_amd64.deb File type determination library for Haskell; profiling libraries
libghc-map-syntax-dev_0.3-5_amd64.deb syntax sugar for defining maps
libghc-map-syntax-doc_0.3-5_all.deb syntax sugar for defining maps; documentation
libghc-map-syntax-prof_0.3-5_amd64.deb syntax sugar for defining maps; profiling libraries
libghc-markdown-dev_0.1.17.4-1_amd64.deb convert Markdown to HTML, with XSS protection
Advertisement
Advertisement